<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"><HTML><HEAD><TITLE>80386 Programmer's Reference Manual -- Opcode CLI</TITLE> </HEAD><BODY><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="CLD.htm"> CLD Clear Direction Flag</A><BR><B>next:</B><A HREF="CLTS.htm"> CLTS Clear Task-Switched Flag in CR0</A><P><HR><P><H1>CLI -- Clear Interrupt Flag</H1><PRE>
Opcode    Instruction    Clocks   Description

FA        CLI            3        Clear interrupt flag; interrupts disabled
</PRE><H2>Operation</H2><PRE>
IF := 0;
</PRE><H2>Description</H2>CLI clears the interrupt flag if the current privilege level is at least as privileged as IOPL. No other flags are affected. External interrupts are not recognized at the end of the CLI instruction or from that point on until the interrupt flag is set.<H2>Flags Affected</H2>IF := 0<H2>Protected Mode Exceptions</H2>#GP(0) if the current privilege level is greater (has less privilege) than the IOPL in the flags register. IOPL specifies the least privileged level at which I/O can be performed.<H2>Real Address Mode Exceptions</H2>None<H2>Virtual 8086 Mode Exceptions</H2>#GP(0) as for Protected Mode<P><HR><P><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="CLD.htm"> CLD Clear Direction Flag</A><BR><B>next:</B><A HREF="CLTS.htm"> CLTS Clear Task-Switched Flag in CR0</A> </BODY>